﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Insteon
{
    internal class ResponseStatus
    {
        internal enum Statuses
        {
            ACK = 0x06,
            NAK = 0x15
        }

        internal Statuses Status;

        internal ResponseStatus(byte Buffer)
        {
            switch (Buffer)
            {
                case (byte)Statuses.ACK:
                    Status = Statuses.ACK;
                    break;
                case (byte)Statuses.NAK:
                    Status = Statuses.NAK;
                    break;
            }
        }

        public override string ToString()
        {
            return String.Format("{0}", Status);
        }
    }
    
}
