﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SharpHomeEngine
{

    /// <summary>
    /// for all tag based requests.
    /// </summary>
    public abstract class Request4Tag : Request4Device
    {
        public readonly Tag Tag;
        public readonly String Address = "";

        internal object objValue;

        public object Value
        {
            get
            {
                return objValue;
            }
        }

        internal Request4Tag(Controller Controller, Tag Tag) : base(Controller, Tag.DeviceInterface, Tag.Device)
        {
            this.Tag = Tag;
            Address = Tag.Address;
        }

        //internal Request4Tag(Controller Controller, String Address) : base(Controller)
        //{
        //    this.Address = Address;
        //    StateEngine.Engine.GetByAddress(Address, ref this.DeviceInterface, ref this.Device, ref this.Tag);
        //}


    }
}
