﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Insteon
{
    internal class IMCommand
    {
        internal enum IMCommands
        {
            Command = 0x62,
            StandardMessage = 0x50,
            EntendedMessage = 0x51,
            StartAllLink = 0x64
        }

        internal IMCommands Command;

        internal IMCommand(byte buffer)
        {
            switch (buffer)
            {
                case (byte) IMCommands.Command:
                    Command = IMCommands.Command;
                    break;
                case (byte) IMCommands.StandardMessage:
                    Command = IMCommands.StandardMessage;
                    break;
                case (byte) IMCommands.EntendedMessage:
                    Command = IMCommands.EntendedMessage;
                    break;
                case (byte)IMCommands.StartAllLink:
                    Command = IMCommands.StartAllLink;
                    break;
            }
        }

    }
}
