﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SharpHomeEngine
{
    public abstract class Request4DeviceInterface : Request
    {
        public readonly DeviceInterface DeviceInterface;
        public Request4DeviceInterface(Controller Controller, DeviceInterface DeviceInterface) : base(Controller)
        {
            this.DeviceInterface = DeviceInterface;
        }

        internal protected override void DoRequest()
        {
            DeviceInterface.BeginRequest(this);
        }
    }
}
